#
# $Copyright: Copyright (c) 2015 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $

# $Id: addRecoverPointType.sh,v 1.1.2.5 2013/09/19 10:19:26 dsathe Exp $

#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
        if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
                :
        else
                echo "$@";
        fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
        if [ "$ro" -eq 1 ];
        then
               ${VCSHOME}/bin/haconf -makerw 
        fi
else
        echo "Unable to add the RecoverPoint types, VCS is not running. Start VCS and execute the script /etc/VRTSvcs/conf/sample_recpt/addRecoverPointType.sh "
        exit 0;
fi

add_fun "${VCSHOME}/bin/hatype -add RecoverPoint"
${VCSHOME}/bin/hatype -modify RecoverPoint SourceFile "./RecoverPointTypes.cf"
${VCSHOME}/bin/hatype -modify RecoverPoint ArgList RPAAddr RPAUser SSHBinary SSHPathToIDFile  ConsistencyGroupName CopyName FailoverImage TryMigrate StartTransfer AgentOpts VCSBookMark VCSRetryMigrate
${VCSHOME}/bin/hatype -modify RecoverPoint SupportedActions enable_image_access disable_image_access failover get_group_state start_transfer pause_transfer set_retry_migrate_flag unset_retry_migrate_flag GetCurrentRPO 
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint RPAAddr"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint RPAUser -string "admin""
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint SSHBinary "/usr/bin/ssh""
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint SSHPathToIDFile"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint ConsistencyGroupName"  
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint CopyName"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint TryMigrate -integer 1"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint FailoverImage -string -assoc "IMAGE" "latest""
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint StartTransfer -integer 1"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint AgentOpts -string -vector"
add_fun "${VCSHOME}/bin/haattr -add -temp RecoverPoint VCSBookMark -string """
add_fun "${VCSHOME}/bin/haattr -add -temp RecoverPoint VCSRetryMigrate -integer 0"
add_fun "${VCSHOME}/bin/haattr -add -temp RecoverPoint VCSResLock -string"
add_fun "${VCSHOME}/bin/haattr -add RecoverPoint ComputeDRSLA -integer 1"

if [ $ro -eq 1 ];
then
	${VCSHOME}/bin/haconf -dump -makero
else
	${VCSHOME}/bin/haconf -dump
fi


